ALTER TABLE packages ADD COLUMN isBackup INTEGER;
ALTER TABLE packages ADD COLUMN container_id TEXT;

ALTER TABLE packages ADD COLUMN install_order INTEGER DEFAULT 0;
UPDATE packages SET install_order=0;
ALTER TABLE packages ADD COLUMN dependencies TEXT;
ALTER TABLE packages ADD COLUMN content_downloaded INTEGER DEFAULT 0;
UPDATE packages SET content_downloaded=1;
ALTER TABLE packages ADD COLUMN package_version TEXT DEFAULT 0;


ALTER TABLE email_account_id_mapping ADD COLUMN email_address TEXT;
ALTER TABLE email_account_id_mapping ADD COLUMN container_id TEXT;
DROP TABLE IF EXISTS data_collection;
CREATE TABLE IF NOT EXISTS data_collection (
  _id INTEGER PRIMARY KEY AUTOINCREMENT,
  create_time NUMBER,
  item_id     INTEGER,
  item_type   INTEGER,
  rule_id     INTEGER,
  payload     BLOB
);

CREATE TABLE IF NOT EXISTS ds_message (
  _id INTEGER PRIMARY KEY AUTOINCREMENT,
  create_time INTEGER,
  payload     TEXT
);

UPDATE packages
SET state = '*'
WHERE state = 'RI';

DELETE FROM packages
WHERE state = 'RU';
