CREATE TABLE api_allowed_apps (
  app_id      TEXT NOT NULL ,
  signature   TEXT NOT NULL ,
  permissions INTEGER,
  PRIMARY KEY (app_id, signature)
);

CREATE INDEX IF NOT EXISTS api_allowed_apps_app_id_idx ON api_allowed_apps (app_id);

INSERT INTO api_allowed_apps (app_id, signature, permissions)
  SELECT '*', value, 1 FROM settings
  WHERE name LIKE "ApiService.AllowedCertificate%";